<?php
$infoLines = json_decode($patient->info_lines);
$infoLines = !$infoLines ? [] : $infoLines;
$rows = [];
foreach ($infoLines as $category => $lines):
    if ($category === "dx"):
        foreach ($lines as $line):
            $rows[] = '<label class="d-flex align-items-center current-symptoms-item mb-1 c-pointer">' .
                '<input type="checkbox" checked class="my-0 mr-2">' .
                '<span><b>' . $line->contentText . '</b>' .
                (isset($line->contentDetail->{"Chronic or Acute"}) ? '<span class="text-secondary">&nbsp/&nbsp</span>' . @$line->contentDetail->{"Chronic or Acute"} : '') .
                (isset($line->contentDetail->{"ICD"}) ? '<span class="text-secondary mx-1">&nbsp/&nbsp</span>' . @$line->contentDetail->{"ICD"} : '') .
                '</span></label>';
        endforeach;
    endif;
endforeach;
?>

<div moe class="position-relative d-none if-edit ml-3 pl-3 border-left">
    <a start show href="#">Include from Symptoms</a>
    <form url="/no-op" class="current-symptoms-form">
        <div class="min-width-300px">
            <?= implode("", $rows) ?>
            <div class="mt-2 mb-0">
                <button class="btn btn-primary btn-sm mr-1" type="button" onclick="return applySelectedSymptoms()">Apply</button>
                <button class="btn btn-default border btn-sm" cancel>Cancel</button>
            </div>
        </div>
    </form>
</div>

<script>
    function applySelectedSymptoms() {
        let html = [];
        $('.current-symptoms-item input:checkbox:checked').each(function() {
            html.push('<p>' + $(this).next().html() + '</p>');
        });
        $('.current-symptoms-form').hide();
        hideMask();
        hideMoeFormMask();
        $('.ql-editor[contenteditable]:visible').first().html(html.join('')).focus();
        return false;
    }
</script>

