<?php

$vitalMap = [
    'heightInches' => 'Ht. (in.)',
    'weightPounds' => 'Wt. (lbs.)',
    'temperatureF' => 'Temp. (F)',
    'pulseRatePerMinute' => 'Pulse',
    'respirationRatePerMinute' => 'Resp.',
    'pulseOx' => 'Pulse Ox.',
    'systolicBP' => 'SBP',
    'diastolicBP' => 'DBP',
    'smokingStatus' => 'Smoking Status'
];
$vitalLabels = ['Ht. (in.)', 'Wt. (lbs.)', 'Temp. (F)', 'Pulse', 'Resp.', 'Pulse Ox.', 'SBP', 'DBP', 'Smoking Status'];
$vitalValues = [];
foreach ($patient->measurements as $measurement) {
    if (!empty($measurement->label) && in_array($measurement->label, $vitalLabels)) {
        $vitalValues[$measurement->label] = [
            'value' => $measurement->value,
            'effectiveDate' => $measurement->effective_date
        ];
    }
}

$value = [];
global $defaultData;
foreach ($vitalValues as $lbl => $line):
    $rows[] = '<label class="d-flex align-items-center current-vital-item mb-1 c-pointer">' .
        '<input type="checkbox" checked class="my-0 mr-2">' .
        '<span>' . $lbl . ': <b>' . $line['value'] . '</b> ' .
        '<span class="text-sm">(as on ' . friendly_date_time($line['effectiveDate'], false) . ')</span>' .
        '</span></label>';
endforeach;
?>

<div moe class="position-relative d-none if-edit ml-3 pl-3 border-left">
    <a start show href="#">Current Vitals</a>
    <form url="/no-op" class="current-vital-form">
        <div class="min-width-300px">
            <?= implode("", $rows) ?>
            <div class="mt-2 mb-0">
                <button class="btn btn-primary btn-sm mr-1" type="button" onclick="return applySelectedVital()">Apply</button>
                <button class="btn btn-default border btn-sm" cancel>Cancel</button>
            </div>
        </div>
    </form>
</div>

<script>
    function applySelectedVital() {
        let html = [];
        $('.current-vital-item input:checkbox:checked').each(function() {
            html.push('<p>' + $(this).next().html() + '</p>');
        });
        $('.current-vital-form').hide();
        hideMask();
        hideMoeFormMask();
        $('.ql-editor[contenteditable]:visible').first().html(html.join('')).focus();
        return false;
    }
</script>

